> ## Documentation Index
> Fetch the complete documentation index at: https://agnt.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Channel Details

> This endpoint get all available details about a given channel ID



## OpenAPI

````yaml /openapi/youtube.openapi.json get /v1/data/youtube/channel/details
openapi: 3.0.0
info:
  title: agntdata YouTube API
  description: >-
    Comprehensive YouTube API with robust features for YouTube search, detailed
    YouTube video insights, channel information, access to YouTube trending
    content, and personalized YouTube recommendations.
  version: 1.0.0
  contact:
    name: agntdata
    url: https://agntdata.dev
servers:
  - url: https://api.agntdata.dev
    description: agntdata API
security:
  - ApiKeyAuth: []
tags:
  - name: Trending
    description: ''
  - name: Channel
    description: ''
  - name: Search
    description: ''
  - name: Video
    description: ''
  - name: Audio
    description: ''
  - name: Screenshot
    description: ''
paths:
  /v1/data/youtube/channel/details:
    get:
      tags:
        - Channel
      summary: Channel Details
      description: This endpoint get all available details about a given channel ID
      operationId: Channel_Details
      parameters:
        - name: channel_id
          in: query
          required: true
          schema:
            type: string
            default: UCXuqSBlHAE6Xw-yeJA0Tunw
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_youtube_channel_details_Response'
              example:
                channel_id: UCXuqSBlHAE6Xw-yeJA0Tunw
                title: Linus Tech Tips
                description: >+
                  Looking for a Tech YouTuber?


                  Linus Tech Tips is a passionate team of "professionally
                  curious" experts in consumer technology and video production
                  which aims to inform and educate people of all ages through
                  our entertaining videos. We create product reviews,
                  step-by-step computer build guides, and a variety of other
                  tech-focused content.


                  Schedule:

                  New videos every Saturday to Thursday @ 10:00am Pacific

                  Live WAN Show podcasts every Friday @ ~5:00pm Pacific

                subscriber_count: 14.9M subscribers
                links:
                  - name: Merch
                    endpoint: https://www.lttstore.com/
                  - name: Facebook
                    endpoint: http://www.facebook.com/LinusTech
                  - name: Twitter
                    endpoint: http://twitter.com/LinusTech
                  - name: Twitch
                    endpoint: https://www.twitch.tv/linustech
                  - name: Instagram
                    endpoint: https://www.instagram.com/linustech
                avatar:
                  - url: >-
                      https://yt3.ggpht.com/ytc/AMLnZu_qOpMK0tGNMCnReaXVp4ZvmNEIXn9eKeBGA_x-wQ=s48-c-k-c0x00ffffff-no-rj
                    width: 48
                    height: 48
                  - url: >-
                      https://yt3.ggpht.com/ytc/AMLnZu_qOpMK0tGNMCnReaXVp4ZvmNEIXn9eKeBGA_x-wQ=s88-c-k-c0x00ffffff-no-rj
                    width: 88
                    height: 88
                  - url: >-
                      https://yt3.ggpht.com/ytc/AMLnZu_qOpMK0tGNMCnReaXVp4ZvmNEIXn9eKeBGA_x-wQ=s176-c-k-c0x00ffffff-no-rj
                    width: 176
                    height: 176
                banner:
                  - url: >-
                      https://yt3.ggpht.com/NXaFVEkrkdGsQcjLvmI8iQuzKFVlZJX770IT4C77dmQr0PI5LpZuhATjJf2yWXYgBQP8EwVBgTk=w1060-fcrop64=1,00005a57ffffa5a8-k-c0xffffffff-no-nd-rj
                    width: 1060
                    height: 175
                  - url: >-
                      https://yt3.ggpht.com/NXaFVEkrkdGsQcjLvmI8iQuzKFVlZJX770IT4C77dmQr0PI5LpZuhATjJf2yWXYgBQP8EwVBgTk=w1138-fcrop64=1,00005a57ffffa5a8-k-c0xffffffff-no-nd-rj
                    width: 1138
                    height: 188
                  - url: >-
                      https://yt3.ggpht.com/NXaFVEkrkdGsQcjLvmI8iQuzKFVlZJX770IT4C77dmQr0PI5LpZuhATjJf2yWXYgBQP8EwVBgTk=w1707-fcrop64=1,00005a57ffffa5a8-k-c0xffffffff-no-nd-rj
                    width: 1707
                    height: 283
                  - url: >-
                      https://yt3.ggpht.com/NXaFVEkrkdGsQcjLvmI8iQuzKFVlZJX770IT4C77dmQr0PI5LpZuhATjJf2yWXYgBQP8EwVBgTk=w2120-fcrop64=1,00005a57ffffa5a8-k-c0xffffffff-no-nd-rj
                    width: 2120
                    height: 351
                  - url: >-
                      https://yt3.ggpht.com/NXaFVEkrkdGsQcjLvmI8iQuzKFVlZJX770IT4C77dmQr0PI5LpZuhATjJf2yWXYgBQP8EwVBgTk=w2276-fcrop64=1,00005a57ffffa5a8-k-c0xffffffff-no-nd-rj
                    width: 2276
                    height: 377
                  - url: >-
                      https://yt3.ggpht.com/NXaFVEkrkdGsQcjLvmI8iQuzKFVlZJX770IT4C77dmQr0PI5LpZuhATjJf2yWXYgBQP8EwVBgTk=w2560-fcrop64=1,00005a57ffffa5a8-k-c0xffffffff-no-nd-rj
                    width: 2560
                    height: 424
                verified: true
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Get_youtube_channel_details_Response422'
              example:
                detail:
                  - loc: []
                    msg: ''
                    type: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    Get_youtube_channel_details_Response:
      title: Channel
      required:
        - channel_id
      type: object
      properties:
        channel_id:
          title: Channel Id
          type: string
        title:
          title: Title
          type: string
        description:
          title: Description
          type: string
        subscriber_count:
          title: Subscriber Count
          type: string
        links:
          title: Links
          type: array
          items:
            type: object
        avatar:
          title: Avatar
          type: array
          items:
            type: object
        banner:
          title: Banner
          type: array
          items:
            type: object
        verified:
          title: Verified
          type: boolean
          default: false
    Get_youtube_channel_details_Response422:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            title: ValidationError
            required:
              - loc
              - msg
              - type
            type: object
            properties:
              loc:
                title: Location
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: integer
              msg:
                title: Message
                type: string
              type:
                title: Error Type
                type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Bearer token. Pass your agntdata API key as: Authorization: Bearer
        agnt_live_...

````